Skip to content
OperadeDocs

Search documentation

Type to search documentation.

Documentation
Copy page
Open raw Markdown

Get an agent test

Return one visible Agent Testing resource with its current immutable revision, definition, access role, and folder metadata.

Endpoint

GET/api/v1/workspaces/{workspace_id}/agent-tests/{test_id}

Authentication

Operation classAuthenticationMinimum roleAPI key
customer-apiBearer API key or dashboard session cookie; dashboard mutations also require X-CX-Request: 1.memberAllowed

Parameters

NameInTypeRequiredDescription
workspace_idpathstringYes—
test_idpathstringYes—

Request body

This operation has no request body.

Example

cURL
curl --request GET 'https://operade.ai/api/v1/workspaces/ws_demo/agent-tests/test_demo' \
  --header 'Authorization: Bearer YOUR_API_KEY'

Responses

StatusDescriptionContent
4XXHandled client errorapplication/json: ErrorResponse
200Successful Responseapplication/json: object

4XX application/json response schema

Field pathTypeReferenceFormatNullableRequiredEnumDescription
$objectErrorResponse—NoYes——
errorobjectErrorItem—NoYes——
error.codestring——NoYes——
error.detailsobject——NoNo——
error.messagestring——NoYes——

200 application/json response schema

Field pathTypeReferenceFormatNullableRequiredEnumDescription
$objectSimulationTestResource or NextReplyTestResource or ToolInvocationTestResource—NoYes——
accessarray<AccessGrant>——NoYes——
access[]objectAccessGrant—NoYes——
access[].rolestring——NoYes"viewer", "editor"—
access[].user_idstring——NoYes——
access_rolestring——NoYes"admin", "creator", "viewer", "editor"—
chat_historyarray<HistoryEntry>——NoYes——
chat_history[]objectHistoryEntry—NoYes——
chat_history[].messagestring or null——YesNo——
chat_history[].rolestring——NoYes"user", "agent"—
chat_history[].tool_callsarray<ToolCall>——NoNo——
chat_history[].tool_calls[]objectToolCall—NoYes—Bagian stabil kontrak vendor; detail bertipe baru tetap dipertahankan.
chat_history[].tool_calls[].params_as_jsonstring——NoYes——
chat_history[].tool_calls[].request_idstring——NoYes——
chat_history[].tool_calls[].tool_detailsobject or null——YesNo——
chat_history[].tool_calls[].tool_has_been_calledboolean——NoYes——
chat_history[].tool_calls[].tool_namestring——NoYes——
chat_history[].tool_calls[].typestring or null——YesNo——
chat_history[].tool_resultsarray<ToolResult>——NoNo——
chat_history[].tool_results[]objectToolResult—NoYes——
chat_history[].tool_results[].is_blockedboolean——NoNo——
chat_history[].tool_results[].is_errorboolean——NoYes——
chat_history[].tool_results[].request_idstring——NoYes——
chat_history[].tool_results[].result_valuestring——NoYes——
chat_history[].tool_results[].tool_has_been_calledboolean——NoYes——
chat_history[].tool_results[].tool_latency_secsnumber——NoNo——
chat_history[].tool_results[].tool_namestring——NoYes——
chat_history[].tool_results[].typestring——NoYes——
conversation_initiation_sourcestring——NoYes"unknown", "telegram_integration"—
created_atstring—date-timeNoYes——
created_bystring——NoYes——
current_revision_idstring——NoYes——
dynamic_variablesobject——NoYes——
entity_typestring——NoYes"test"—
evaluation_modelstring——NoYes——
from_conversation_metadataobject or nullFromConversationMetadata—YesYes——
from_conversation_metadata.conversation_idstring——NoYes——
from_conversation_metadata.event_seqinteger——NoYes——
from_conversation_metadata.original_agent_responsestring or null——YesNo——
from_conversation_metadata.system__conversation_idstring or null——YesNo——
from_conversation_metadata.system__time_utcstring—date-timeNoYes——
idstring——NoYes——
namestring——NoYes——
parent_folder_idstring or null——YesYes——
revision_created_atstring—date-timeNoYes——
simulated_user_modelstring——NoYes——
simulation_max_turnsinteger——NoYes——
simulation_scenariostring——NoYes——
success_conditionsarray<string>——NoYes——
success_conditions[]string——NoYes——
tool_mock_configobjectToolMockConfig—NoYes——
tool_mock_config.fallback_strategystring——NoNo"raise_error", "call_real_tool"—
tool_mock_config.mocked_tool_idsarray<string>——NoNo——
tool_mock_config.mocked_tool_ids[]string——NoYes——
tool_mock_config.mocking_strategystring——NoNo"all", "selected", "none"—
tool_mock_overridesobject——NoYes——
typestring——NoYes"simulation"—
updated_atstring—date-timeNoYes——
failure_examplesarray<string>——NoYes——
failure_examples[]string——NoYes——
success_conditionstring——NoYes——
success_examplesarray<string>——NoYes——
success_examples[]string——NoYes——
check_any_tool_matchesboolean——NoYes——
tool_call_parametersobject or nullToolCallParameters—YesYes——
tool_call_parameters.parametersarray<ParameterCondition>——NoNo——
tool_call_parameters.parameters[]objectParameterCondition—NoYes——
tool_call_parameters.parameters[].evalobjectAnythingEval or ExactEval or RegexEval or LlmEval—NoYes——
tool_call_parameters.parameters[].pathstring——NoYes——
tool_call_parameters.referenced_toolobject or nullReferencedTool—YesNo——
tool_call_parameters.referenced_tool.idstring——NoYes——
tool_call_parameters.referenced_tool.typestring——NoYes"system", "webhook", "google_sheets", "client", "workflow", "api_integration_webhook", "mcp", "code"—
tool_call_parameters.verify_absenceboolean——NoNo——
tool_call_parameters.workflow_node_transitionobject or nullWorkflowTransition—YesNo——
tool_call_parameters.workflow_node_transition.agent_idstring——NoYes——
tool_call_parameters.workflow_node_transition.target_node_idstring——NoYes——
tool_call_parameters.workflow_node_transition.typestring——NoNo"node_id"—

Response example

Response body JSON
{
  "entity_type": "test",
  "id": "string",
  "current_revision_id": "string",
  "created_by": "string",
  "created_at": "2026-01-01T00:00:00Z",
  "updated_at": "2026-01-01T00:00:00Z",
  "revision_created_at": "2026-01-01T00:00:00Z",
  "access_role": "admin",
  "access": [],
  "name": "string",
  "parent_folder_id": "string",
  "chat_history": [],
  "dynamic_variables": {},
  "conversation_initiation_source": "unknown",
  "from_conversation_metadata": {
    "conversation_id": "string",
    "event_seq": 0,
    "system__time_utc": "2026-01-01T00:00:00Z"
  },
  "type": "simulation",
  "simulation_scenario": "string",
  "success_conditions": [],
  "simulation_max_turns": 0,
  "simulated_user_model": "string",
  "evaluation_model": "string",
  "tool_mock_config": {},
  "tool_mock_overrides": {}
}

Errors

Reviewed common and route-declared errors are summarized here; the list is not exhaustive. Start with the distributed error index to find each code's canonical domain page.

StatusCodeDescription
401unauthenticatedAuthentication is missing, invalid, or revoked.
403forbiddenThe authenticated caller does not have access to this operation.
404not_foundThe requested workspace resource was not found.
422validation_failedThe request did not pass field or business validation.
On this page
  1. Endpoint
  2. Authentication
  3. Parameters
  4. Request body
  5. Example
  6. Responses
  7. 4XX application/json response schema
  8. 200 application/json response schema
  9. Response example
  10. Errors
  11. Related operations